DarkdevelCoding DarkdevelCoding - 20 days ago 54
Ruby Question

selenium webdriver 3.0.1 geckodriver error for firefox

I'm trying to execute a ruby script that i found. It took me a bit too setup ruby and selenium webdriver 3.0.1, and now i get an error that it cant find geckodriver. I also downloaded geckodriver but i'm stuck and cant find how too add it to the "Path" it is talking about. Also mozilla says that i dont have to do anything, if i have selenium 3 or above have instaled. This is the error message that i get:

C:/Ruby23/lib/ruby/gems/2.3.0/gems/selenium-webdriver-3.0.1/lib/selenium webdriver/firefox.rb:58:in `driver_path': Unable to find Mozilla geckodriver. Please download the server from https://github.com/mozilla/geckodriver/releases and place it somewhere on your PATH. More info at https://developer.mozilla.org/en-US/docs/Mozilla/QA/Marionette/WebDriver. (Selenium::WebDriver::Error::WebDriverError)

if anyone can help me how to proceed please let me know
best regards,
DarkdevelCoding

Answer

Add the geckodriver.exe to your path as suggested:

Control Panel->System->Advanced system settings->Environment variables.